Bug 1125401 - Make Katello api error rendering consistent with Foreman's
Summary: Make Katello api error rendering consistent with Foreman's
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Katello Bug Bin
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 18:15 UTC by Eric Helms
Modified: 2016-04-22 16:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-26 14:03:58 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 5638 None None None 2016-04-22 16:52:58 UTC

Description Eric Helms 2014-07-31 18:15:59 UTC
Right now a lot the error messages are rendered differently across Foreman and Katello's APIs
Also, the use of the attribute displayMessage should be limited to the candlepin_proxies_controller where we need to return messages to RHSM in the specific format that it requires.

Forman: https://github.com/theforeman/foreman/blob/develop/app/controllers/api/v2/base_controller.rb#L73 
Katello: https://github.com/Katello/katello/blob/master/app/lib/katello/api/v2/error_handling.rb (respond_for_exception method).

So that the api errors are presented consistently across Foreman/Katello, It would be ideal for Katello to share rendering code.

Comment 1 Eric Helms 2014-07-31 18:16:00 UTC
Created from redmine issue http://projects.theforeman.org/issues/5638

Comment 3 Bryan Kearney 2015-08-25 17:59:45 UTC
Upstream bug component is API


Note You need to log in before you can comment on or make changes to this bug.